$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.202.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-17.32.202.msi'
  softwareName = 'Invantive Query Tool'
  checksum = '7F12C4C1BD0DA070DF041CBF7B49B8BBEB1DF372595DE424611DC7443CBB3F24'
  checksumType = 'sha256'
  checksum64 = '7F12C4C1BD0DA070DF041CBF7B49B8BBEB1DF372595DE424611DC7443CBB3F24'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-17.32.202-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
